
Tomas Tech Co.,Ltd. - Sales support #363

Parent project # 533 (New): [PJ******]General and administrative expenses

ASUTO GLOBAL LOGISTICS (Thailand) Co., Ltd. meeting at ASUTO GLOBAL LOGISTICS (Thailand)

Co., Ltd.

16 Jan 2024 18:50 - Ryo Nozaki

Status: Closed Start date: 16 Jan 2024

Priority: Normal Due date: 16 Jan 2024

Assignee: Ryo Nozaki % Done: 100%

Category:  Estimated time: 4.00 hours

Target version:  Spent time: 4.00 hours

Finish date:    

Description

ASUTO GLOBAL LOGISTICS (Thailand) Co., Ltd. meeting at ASUTO GLOBAL LOGISTICS (Thailand) Co., Ltd.

History

#1 - 16 Jan 2024 18:50 - Ryo Nozaki

- Status changed from New to Closed

#2 - 04 May 2024 17:22 - Ryo Nozaki

- Project changed from 42 to Tomas Tech Co.,Ltd.

- Parent task set to #533
